curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"title": "<string>",
"resolution_notes": "<string>",
"tags": [
"<string>"
],
"subject": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"assigned_to": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "jsmith@example.com"
},
"assigned_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_email": "<string>",
"pending_resolution": {
"resolution_notes": "<string>",
"maker_email": "jsmith@example.com",
"maker_name": "<string>",
"maker_blueprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staged_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"blueprint": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"assignee_pool": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"max_active_cases": 123,
"escalation_enabled": true,
"transfer_enabled": true,
"require_resolution_note": true,
"is_active": true,
"preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"escalation_blueprint": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalation_blueprint_name": "<string>",
"four_eyes_checker_blueprint": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"four_eyes_checker_blueprint_name": "<string>",
"content_config": {
"checklist": {
"enabled": true,
"optional": true,
"items": [
{
"label": "<string>",
"order": 123
}
]
},
"aml_control": {
"enabled": true,
"financial": true,
"identity": true
},
"identity": {
"enabled": true,
"personal_information": true,
"applicant_tags": true,
"contact_information": true,
"risk_overview": true,
"poi_documents": true,
"poa_documents": true
},
"verifications": {
"enabled": true,
"summary": true
},
"reporting": {
"enabled": true,
"fiu_reports": true
},
"financial": {
"enabled": true,
"payment_methods": true,
"transactions": true
}
},
"creation_sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"receives_escalation_from": [
{
"id": "<string>",
"name": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
},
"notes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"mentioned_emails": [
"jsmith@example.com"
],
"is_internal": true,
"attachments": [
{
"s3_key": "<string>",
"filename": "<string>",
"file_size": 123,
"url": "<string>"
}
],
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"links": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_entity_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_entity_summary": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"links_count": 123,
"notes_count": 123,
"checklist_items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"is_completed": true,
"completed_by": "jsmith@example.com",
"completed_at": "2023-11-07T05:31:56Z",
"order": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}Cases
Get Case
Retrieve a case with its subject, blueprint, notes, events, links, and checklist.
GET
/
v3
/
organization
/
{organization_id}
/
application
/
{application_id}
/
cases
/
{case_uuid}
/
curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"title": "<string>",
"resolution_notes": "<string>",
"tags": [
"<string>"
],
"subject": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"assigned_to": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"email": "jsmith@example.com"
},
"assigned_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by_email": "<string>",
"pending_resolution": {
"resolution_notes": "<string>",
"maker_email": "jsmith@example.com",
"maker_name": "<string>",
"maker_blueprint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staged_at": "2023-11-07T05:31:56Z"
},
"metadata": {},
"blueprint": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"assignee_pool": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"max_active_cases": 123,
"escalation_enabled": true,
"transfer_enabled": true,
"require_resolution_note": true,
"is_active": true,
"preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"escalation_blueprint": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"escalation_blueprint_name": "<string>",
"four_eyes_checker_blueprint": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"four_eyes_checker_blueprint_name": "<string>",
"content_config": {
"checklist": {
"enabled": true,
"optional": true,
"items": [
{
"label": "<string>",
"order": 123
}
]
},
"aml_control": {
"enabled": true,
"financial": true,
"identity": true
},
"identity": {
"enabled": true,
"personal_information": true,
"applicant_tags": true,
"contact_information": true,
"risk_overview": true,
"poi_documents": true,
"poa_documents": true
},
"verifications": {
"enabled": true,
"summary": true
},
"reporting": {
"enabled": true,
"fiu_reports": true
},
"financial": {
"enabled": true,
"payment_methods": true,
"transactions": true
}
},
"creation_sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"receives_escalation_from": [
{
"id": "<string>",
"name": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
},
"notes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"mentioned_emails": [
"jsmith@example.com"
],
"is_internal": true,
"attachments": [
{
"s3_key": "<string>",
"filename": "<string>",
"file_size": 123,
"url": "<string>"
}
],
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_email": "jsmith@example.com",
"actor_name": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"links": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_entity_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_entity_summary": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"links_count": 123,
"notes_count": 123,
"checklist_items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"is_completed": true,
"completed_by": "jsmith@example.com",
"completed_at": "2023-11-07T05:31:56Z",
"order": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}
Retrieve a case with everything needed to render a full case page: subject, blueprint (including its
content_config), the newest notes and events, links, and checklist state.
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Case UUID.
Example:
"c1a5e000-0000-4000-8000-000000000001"
Response
Case detail.
Available options:
OPEN, AWAITING_USER, RESOLVED Available options:
FALSE_POSITIVE, VALID_THREAT Available options:
LOW, MEDIUM, HIGH Available options:
MANUAL, AML_SCREENING, TRANSACTION_RULE, WORKFLOW_BUILDER The single user or business the case is anchored to.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Set only while a 4-eyes resolution is staged on the checker blueprint, awaiting approve or reject-approval.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Newest 50 notes.
Show child attributes
Show child attributes
Newest 100 events.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I